public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/libreswan/
Date: Sat, 20 May 2017 06:06:39 +0000 (UTC)	[thread overview]
Message-ID: <1495260353.b7105bdadfd5c269808caa57f98da841c12f2006.graaff@gentoo> (raw)

commit:     b7105bdadfd5c269808caa57f98da841c12f2006
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 20 06:05:53 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 20 06:05:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7105bda

net-vpn/libreswan: add 3.20

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 net-vpn/libreswan/Manifest              |   1 +
 net-vpn/libreswan/libreswan-3.20.ebuild | 100 ++++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/net-vpn/libreswan/Manifest b/net-vpn/libreswan/Manifest
index 39cc9c8a070..e6a36340fed 100644
--- a/net-vpn/libreswan/Manifest
+++ b/net-vpn/libreswan/Manifest
@@ -1 +1,2 @@
 DIST libreswan-3.18.tar.gz 8766228 SHA256 2ff61178913287567ed2736287df47e7f9a822ddcded967f3af5f03e95b5f17d SHA512 dfc831ae82814a26cac2eb7c8bef4385d8aebb1e62c63f31e0997d49fc6bbcc6e4e2bcd0e07d5c0c1347e5eaca5f6eb1fba98395bc882ab0fddb804a524b57f8 WHIRLPOOL 73ce41988d62d6702837d9ba6c2e123aad678b6d983711e6e5d3a60046bdbf2a37d8f650a8e4ffff24c551a27d50ecbef322bc40a083b852a142b2a5bcda2726
+DIST libreswan-3.20.tar.gz 8898915 SHA256 2f0931c11ea0b9303ce1e4ee76ffe9db6f3bd70ceead51fe4ec11e2f40a9ae2e SHA512 89f562412d03e0e9af1bceeda18ab73a749046c37e05dab719468cb537e16803a3b270781de9de88416b2d63b7b0fd85df0c593ca59c30ba3d681526f272fc93 WHIRLPOOL d5ad79f73cbeab90c1ef68a20e1f5205ecc94b37c64e681856fcec4b67aecf6b95733410c2f859410c876c162280f6ea5cb1b264d484861655a38dce51323c18

diff --git a/net-vpn/libreswan/libreswan-3.20.ebuild b/net-vpn/libreswan/libreswan-3.20.ebuild
new file mode 100644
index 00000000000..ea4648b034c
--- /dev/null
+++ b/net-vpn/libreswan/libreswan-3.20.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd toolchain-funcs
+
+SRC_URI="https://download.libreswan.org/${P}.tar.gz"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DESCRIPTION="IPsec implementation for Linux, fork of Openswan"
+HOMEPAGE="https://libreswan.org/"
+
+LICENSE="GPL-2 BSD-4 RSA DES"
+SLOT="0"
+IUSE="caps curl dnssec ldap pam systemd"
+
+COMMON_DEPEND="
+	dev-libs/gmp:0=
+	dev-libs/libevent:0=
+	dev-libs/nspr
+	caps? ( sys-libs/libcap-ng )
+	curl? ( net-misc/curl )
+	dnssec? ( net-dns/unbound net-libs/ldns )
+	ldap? ( net-nds/openldap )
+	pam? ( sys-libs/pam )
+	systemd? ( sys-apps/systemd:0= )
+"
+DEPEND="${COMMON_DEPEND}
+	app-text/docbook-xml-dtd:4.1.2
+	app-text/xmlto
+	dev-libs/nss
+	sys-devel/bison
+	sys-devel/flex
+	virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+	dev-libs/nss[utils(+)]
+	sys-apps/iproute2
+	!net-misc/openswan
+	!net-vpn/strongswan
+"
+
+usetf() {
+	usex "$1" true false
+}
+
+src_prepare() {
+	sed -i -e 's:/sbin/runscript:/sbin/openrc-run:' initsystems/openrc/ipsec.init.in || die
+	default
+}
+
+src_configure() {
+	tc-export AR CC
+	export INC_USRLOCAL=/usr
+	export INC_MANDIR=share/man
+	export FINALEXAMPLECONFDIR=/usr/share/doc/${PF}
+	export FINALDOCDIR=/usr/share/doc/${PF}/html
+	export INITSYSTEM=openrc
+	export INC_RCDIRS=
+	export INC_RCDEFAULT=/etc/init.d
+	export USERCOMPILE=
+	export USERLINK=
+	export USE_DNSSEC=$(usetf dnssec)
+	export USE_LIBCAP_NG=$(usetf caps)
+	export USE_LIBCURL=$(usetf curl)
+	export USE_LDAP=$(usetf ldap)
+	export USE_SYSTEMD_WATCHDOG=$(usetf systemd)
+	export SD_WATCHDOGSEC=$(usex systemd 200 0)
+	export USE_XAUTHPAM=$(usetf pam)
+	export DEBUG_CFLAGS=
+	export OPTIMIZE_CFLAGS=
+	export WERROR_CFLAGS=
+}
+
+src_compile() {
+	emake all
+	emake -C initsystems INITSYSTEM=systemd UNITDIR="$(systemd_get_systemunitdir)" all
+}
+
+src_install() {
+	default
+	emake -C initsystems INITSYSTEM=systemd UNITDIR="$(systemd_get_systemunitdir)" DESTDIR="${D}" install
+
+	echo "include /etc/ipsec.d/*.secrets" > "${D}"/etc/ipsec.secrets
+	fperms 0600 /etc/ipsec.secrets
+
+	dodoc -r docs
+
+	find "${D}" -type d -empty -delete || die
+}
+
+pkg_postinst() {
+	local IPSEC_CONFDIR=${ROOT%/}/etc/ipsec.d
+	if [[ ! -f ${IPSEC_CONFDIR}/cert8.db ]]; then
+		ebegin "Setting up NSS database in ${IPSEC_CONFDIR}"
+		certutil -N -d "${IPSEC_CONFDIR}" -f <(echo)
+		eend $?
+	fi
+}


             reply	other threads:[~2017-05-20  6:06 UTC|newest]

Thread overview: 96+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-20  6:06 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-11  8:47 [gentoo-commits] repo/gentoo:master commit in: net-vpn/libreswan/ Hans de Graaff
2024-04-25  8:55 Sam James
2024-04-25  8:55 Sam James
2024-04-25  6:03 Hans de Graaff
2024-04-25  5:49 Hans de Graaff
2024-04-16  6:08 Hans de Graaff
2024-03-17  6:46 Hans de Graaff
2024-01-21  7:58 Viorel Munteanu
2023-09-18  5:38 Hans de Graaff
2023-09-17 13:05 Arthur Zamarin
2023-09-03  6:45 Sam James
2023-08-11  6:58 Hans de Graaff
2023-06-20  5:25 Hans de Graaff
2023-06-19  4:57 Hans de Graaff
2023-06-17 15:13 Sam James
2023-06-17 15:13 Sam James
2023-05-07  6:08 Hans de Graaff
2023-03-05  8:42 Hans de Graaff
2023-03-05  8:42 Hans de Graaff
2022-11-23 23:03 Sam James
2022-10-17  5:25 Hans de Graaff
2022-10-09  8:55 Agostino Sarubbo
2022-10-09  8:48 Agostino Sarubbo
2022-10-05  5:34 Hans de Graaff
2022-05-26  6:01 Hans de Graaff
2022-03-12  7:30 Hans de Graaff
2022-03-05 23:42 Sam James
2022-03-03 12:49 Agostino Sarubbo
2022-03-02  6:39 Hans de Graaff
2022-02-03  9:34 Sam James
2022-01-12  6:54 Hans de Graaff
2022-01-10  8:38 Agostino Sarubbo
2022-01-09 20:08 Sam James
2021-08-26  7:12 Agostino Sarubbo
2021-08-26  3:00 Sam James
2021-08-25  5:56 Hans de Graaff
2021-08-25  5:56 Hans de Graaff
2021-07-31 22:17 Sam James
2021-05-01  7:12 Hans de Graaff
2021-04-28 21:25 Sam James
2021-04-26 19:11 Sam James
2021-04-24  5:46 Hans de Graaff
2021-04-24  5:46 Hans de Graaff
2021-02-23  7:01 Hans de Graaff
2020-11-21 10:15 Hans de Graaff
2020-10-20  5:18 Hans de Graaff
2020-10-20  5:18 Hans de Graaff
2020-10-17  7:02 Hans de Graaff
2020-05-23  6:34 Hans de Graaff
2020-05-18 21:13 Agostino Sarubbo
2020-05-18 15:08 Agostino Sarubbo
2020-05-12 14:33 Hans de Graaff
2020-04-21  7:07 Hans de Graaff
2020-03-05  8:11 Hans de Graaff
2020-03-01  9:41 Hans de Graaff
2020-02-22 10:22 Hans de Graaff
2020-02-08 16:25 David Seifert
2019-12-24 19:52 Mikle Kolyada
2019-12-03 10:52 Hans de Graaff
2019-12-03 10:52 Hans de Graaff
2019-11-26 12:27 Agostino Sarubbo
2019-11-26  0:58 Thomas Deutschmann
2019-10-13  8:57 Hans de Graaff
2019-07-19  6:22 Hans de Graaff
2019-06-10 19:21 Hans de Graaff
2019-06-08  6:25 Hans de Graaff
2019-05-30 16:48 Hans de Graaff
2019-05-22  5:37 Hans de Graaff
2019-02-23  6:18 Hans de Graaff
2018-11-15 15:48 Thomas Deutschmann
2018-11-15 13:21 Mikle Kolyada
2018-11-12 20:03 Hans de Graaff
2018-11-12 19:38 Hans de Graaff
2018-10-13  6:26 Hans de Graaff
2018-09-19  6:47 Hans de Graaff
2018-09-14 22:13 Thomas Deutschmann
2018-08-05  1:03 Thomas Deutschmann
2018-08-03 23:10 Mikle Kolyada
2018-06-28 22:27 Hans de Graaff
2018-06-28 22:27 Hans de Graaff
2018-01-29  6:30 Hans de Graaff
2018-01-29  1:06 Thomas Deutschmann
2018-01-27  7:42 Hans de Graaff
2018-01-27  7:42 Hans de Graaff
2017-12-09  7:21 Hans de Graaff
2017-12-08 20:39 Thomas Deutschmann
2017-11-04  7:38 Hans de Graaff
2017-10-25  5:52 Hans de Graaff
2017-10-05  8:36 Jeroen Roovers
2017-08-18 23:26 Thomas Deutschmann
2017-08-12  6:37 Hans de Graaff
2017-07-31 13:02 Tobias Klausmann
2017-05-20  6:06 Hans de Graaff
2017-05-20  6:06 Hans de Graaff
2017-05-07 19:23 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1495260353.b7105bdadfd5c269808caa57f98da841c12f2006.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox